Bug 976270 - Failed deploy creates an artifact in the repository.
Failed deploy creates an artifact in the repository.
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: DR6
: 6.0.0
Assigned To: Mauricio Salatino
Marek Baluch
Depends On:
  Show dependency treegraph
Reported: 2013-06-20 05:13 EDT by Marek Baluch
Modified: 2014-08-06 16:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:13:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-06-20 05:13:07 EDT
*** Description of problem:

When the deployment fails. An exception like the following one is present in the server log then an artifact is created in the repository.

11:01:42,949 ERROR [stderr] (http-/ java.lang.NullPointerException
11:01:42,950 ERROR [stderr] (http-/ 	at org.jbpm.kie.services.impl.KModuleDeploymentService.deploy(KModuleDeploymentService.java:68)
11:01:42,950 ERROR [stderr] (http-/ 	at org.jbpm.kie.services.impl.KModuleDeploymentService$Proxy$_$$_WeldClientProxy.deploy(KModuleDeploymentService$Proxy$_$$_WeldClientProxy.java)
11:01:42,951 ERROR [stderr] (http-/ 	at org.jbpm.console.ng.bd.backend.server.DeploymentManagerEntryPointImpl.deploy(DeploymentManagerEntryPointImpl.java:77)
11:01:42,951 ERROR [stderr] (http-/ 	at org.jbpm.console.ng.bd.backend.server.DeploymentManagerEntryPointImpl.autoDeploy(DeploymentManagerEntryPointImpl.java:165)
11:01:42,952 ERROR [stderr] (http-/ 	at org.jbpm.console.ng.bd.backend.server.DeploymentManagerEntryPointImpl$Proxy$_$$_WeldClientProxy.autoDeploy(DeploymentManagerEntryPointImpl$Proxy$_$$_WeldClientProxy.java)

*** How reproducible:

Steps to Reproduce:
1) Create a new project (e.g. in jbpm-playground.git)
2) Hit the "Build & Deploy" button
3) Check the repository.

*** Actual results:

Jar file present in the repository.

*** Expected results:

No file in the repository (or an older version) if the deployment failed.
Comment 1 Mauricio Salatino 2013-06-24 10:46:45 EDT
Fixed in master
Comment 3 Marek Baluch 2013-07-11 06:03:29 EDT
Verified on DR6.

Note You need to log in before you can comment on or make changes to this bug.